pydo.databases.get_kafka_schema_subject_config()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.databases.get_kafka_schema_subject_config(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
    subject_name="customer-schema",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the Schema Registry configuration for a Subject of a Kafka cluster, send a GET request to /v2/databases/{database_cluster_uuid}/schema-registry/config/{subject_name}. The response is a JSON object with a compatibility_level key, which is set to an object containing any database configuration parameters.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

subject_name string required

The name of the Kafka schema subject.

Response Example

Show Response Example
{
  "subject_name": "my-schema-subject",
  "compatibility_level": "BACKWARD"
}

More Information

See /v2/databases/{database_cluster_uuid}/schema-registry/config/{subject_name} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.